### Method

# GLib Cond free

deprecated: 2.32

#### Declaration

    void
    g_cond_free (
      GCond* cond
    )

#### Description

Destroys a `GCond` that has been created with g_cond_new().

Calling `g_cond_free()` for a `GCond` on which threads are blocking leads to undefined behaviour.

Deprecated since: 2.32

GCond can now be statically allocated, or embedded in structures and initialised with g_cond_init().

This method is not directly available to language bindings.